Making a difference in our community.

Bill Pay Upgrade.

Our electronic bill payment (EBP) partner, will be retiring the TLS 1.0 security protocol on all bill payment sites in order to implement more secure versions of TLS 1.1 and higher. This change will take effect on September 20, 2017, and is being made in an effort to provide the best security to bill payment clients.

Once the new versions of TLS are implemented, some older browsers may not be able to connect to the iPay bill payment sites. Below is a list browsers and versions that are compatible with TLS 1.1 and higher:

-Internet Explorer – version 11

-MS Edge – all versions

-Firefox – version 31 and above

-Safari – version 7 and above (for Mac) -Google Chrome – version 42 and above

If you do not have one of the browsers and/or versions listed above, we recommend upgrading your browser to a compatible version.